For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Pix Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Quote Exact Out
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Get Withdrawer History

GET
https://api-sandbox.coinflow.cash/api/withdraw/history
GET
/api/withdraw/history
$curl https://api-sandbox.coinflow.cash/api/withdraw/history \
> -H "x-coinflow-auth-user-id: <apiKey>"
200Retrieved
1{
2 "withdraws": [
3 {
4 "withdrawer": "string",
5 "transferId": "string",
6 "wallet": "string",
7 "blockchain": "solana",
8 "transaction": "string",
9 "accountId": "string",
10 "amount": {
11 "cents": 1,
12 "currency": "USD"
13 },
14 "usdToForeignExchangeRate": 1.1,
15 "userPaidFees": {
16 "swapFees": {
17 "cents": 1,
18 "currency": "USD"
19 },
20 "gasFees": {
21 "cents": 1,
22 "currency": "USD"
23 },
24 "fees": {
25 "cents": 1,
26 "currency": "USD"
27 },
28 "processingFees": {
29 "cents": 1,
30 "currency": "USD"
31 },
32 "customFees": {
33 "cents": 1,
34 "currency": "USD"
35 }
36 },
37 "merchantPaidFees": {
38 "swapFees": {
39 "cents": 1,
40 "currency": "USD"
41 },
42 "gasFees": {
43 "cents": 1,
44 "currency": "USD"
45 },
46 "fees": {
47 "cents": 1,
48 "currency": "USD"
49 },
50 "merchantFundedAmount": {
51 "cents": 1,
52 "currency": "USD"
53 },
54 "settledInline": true
55 },
56 "status": "completed",
57 "expectedDeliveryDate": "2024-01-15T09:30:00Z",
58 "merchant": "string",
59 "createdAt": "2024-01-15T09:30:00Z",
60 "updatedAt": "2024-01-15T09:30:00Z",
61 "speed": "asap",
62 "provider": "string",
63 "returnStatus": "pending_return",
64 "returnTransaction": "string",
65 "returnedAt": "2024-01-15T09:30:00Z",
66 "userId": "string",
67 "detailMessage": "string",
68 "errorData": "string",
69 "pin": "string",
70 "isFirstParty": true,
71 "payoutInitiated": true,
72 "idempotencyKey": "string",
73 "manuallyFailedBy": {
74 "editor": "string",
75 "editorType": "Coinflow",
76 "ipAddress": "string",
77 "failedAt": "2024-01-15T09:30:00Z"
78 },
79 "userLocation": {
80 "lng": 1.1,
81 "lat": 1.1,
82 "resolvedState": "string",
83 "resolvedCountry": "string"
84 },
85 "orchestrationTraceId": "string",
86 "entityTag": {
87 "coinflowEntity": "US",
88 "licensedEntity": "string"
89 }
90 }
91 ]
92}
Gets the withdrawal history for a particular user or business.
Was this page helpful?
Previous

Link Paypal Account

Next
Built with

Authentication

x-coinflow-auth-user-idstring

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

OR
x-coinflow-auth-walletstring

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-blockchainstring

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

x-coinflow-auth-merchant-idstring
The merchant ID the session should be generated for
OR
x-coinflow-auth-session-keystring

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Response

Ok
withdrawslist of objects